# SLikeNet: Source/include/slikenet/transport2.h File Reference

SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
transport2.h File Reference

Contains RakNetTransportCommandParser and RakNetTransport used to provide a secure console connection. More...

`#include "NativeFeatureIncludes.h"`
`#include "TransportInterface.h"`
`#include "DS_Queue.h"`
`#include "CommandParserInterface.h"`
`#include "PluginInterface2.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::RakNetTransport2
| Use RakNetTransport if you need a secure connection between the client and the console server. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Contains RakNetTransportCommandParser and RakNetTransport used to provide a secure console connection.

Definition in file transport2.h.